openapi: 3.0.0
info:
  title: op5 Adapter
  description: For creating a new op5 adapter
  contact:
    email: apiteam@swagger.io
  version: '1.0.0'
servers:
- url: https://{defaultHost}
  variables:
    defaultHost:
      default: www.example.com
paths:
  /api/filter/count:
    get:
      tags:
      - default
      summary: Count
      description: ''
      operationId: Count
      parameters:
      - name: query
        in: query
        description: query
        required: true
        style: form
        explode: true
        schema:
          type: string
      - name: columns
        in: query
        description: columns
        required: true
        style: form
        explode: true
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /api/filter/query:
    get:
      tags:
      - default
      summary: Filter
      description: ''
      operationId: Filter
      parameters:
      - name: query
        in: query
        description: query
        required: true
        style: form
        explode: true
        schema:
          type: string
      - name: acknowledged
        in: query
        description: acknowledged
        required: true
        style: form
        explode: true
        schema:
          type: string
      - name: scheduled_downtime_depth
        in: query
        description: scheduled_downtime_depth
        required: true
        style: form
        explode: true
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /api/config/host/hostname:
    patch:
      tags:
      - default
      summary: modifyVariable
      description: ''
      operationId: modifyVariable
      parameters: []
      requestBody:
        description: body
        content:
          '*/*':
            schema:
              description: body
              example:
                _CUSTOMVAR: null
            example:
              _CUSTOMVAR: null
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /api/config/change:
    post:
      tags:
      - default
      summary: saveChanges
      description: ''
      operationId: saveChanges
      parameters: []
      requestBody:
        description: ''
        content:
          text/plain:
            schema:
              type: string
        required: false
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /api/nachos/v1/latestexport:
    get:
      tags:
      - default
      summary: getLatestExport
      description: ''
      operationId: getLatestExport
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /api/nachos/v1/exports:
    get:
      tags:
      - default
      summary: getExports
      description: ''
      operationId: getExports
      parameters: []
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
    post:
      tags:
      - default
      summary: createExport
      description: ''
      operationId: createExport
      parameters: []
      requestBody:
        description: body
        content:
          '*/*':
            schema:
              description: body
        required: true
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
  /api/nachos/v1/exports/{id}:
    get:
      tags:
      - default
      summary: getExport
      description: ''
      operationId: getExport
      parameters:
      - name: id
        in: path
        description: id
        required: true
        style: simple
        schema:
          type: string
      responses:
        '200':
          description: successful operation
          headers: {}
          content: {}
        '400':
          description: failed operation
          headers: {}
          content: {}
      deprecated: false
tags:
- name: default
  description: ''
externalDocs:
  description: Find out more about the OpenAPI Initiative
  url: https://www.openapis.org/
